View Issue Details

IDProjectCategoryView StatusLast Update
0000077Bacula-Webbug-designpublic2014-11-18 13:22
ReporterccsproAssigned Todavide 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.2.10 
Target Version7.0.0Fixed in Version7.0.0 
Summary0000077: "Pools and volumes status" pie and legend overlap with long names.
DescriptionI've made 'temporary' modifications to application/view/index.tpl in order to place "Pools and volumes status" pie+legend on their own div block which puts both:
Stored bytes
Last used volumes

on together instead of all 3.

Problem is I use DNS names and some of those could be long since we are a global ISP - we use DNS names internally to help identify details about said host(s).

As an example some are 50 chars long :P

See additional Information on what else was done to band-aid fix this.
Steps To ReproduceMake a client with long names.
View in bacula-web
Additional InformationI've also modified /index.php for graph2.png to change the size - this is required to move the pie+legend around
from:
$graph->SetGraphSize(310, 200);
to:
$graph->SetGraphSize(310, 400);

and:
$graph->SetData($vols_by_pool, 'pie', 'text-data-single');
$graph->SetGraphSize(310, 200);
to:
$graph->SetGraphSize(620, 600);

Again this is only temporary for now but I'd rather it size depending on some calculation of name length. If I'm able to find the time to do this myself I will and submit it here upstream but if you have time to implement this quickly it would be appreciated.

My fix was only meant as a quick fix to make it readable not pretty :P

Happy to see a nice reporting software that is non intrusive. (user cannot make changes, view only)
TagsNo tags attached.

Activities

davide

2014-10-07 10:06

manager   ~0000399

Hi,

Would you like to test next release (6.1.0) and see if this issue is solved ?
Sorry to come back to you that late about this.

Regards

davide

2014-11-18 13:22

manager   ~0000411

Fixed in release 7.0.0

Issue History

Date Modified Username Field Change
2012-12-14 21:36 ccspro New Issue
2013-05-01 11:03 davide Assigned To => davide
2013-05-01 11:03 davide Status new => assigned
2014-09-29 16:32 davide Product Version => 5.2.10
2014-09-29 16:32 davide Target Version => 7.0.0
2014-10-07 10:06 davide Note Added: 0000399
2014-10-07 10:06 davide Status assigned => feedback
2014-11-18 13:22 davide Note Added: 0000411
2014-11-18 13:22 davide Status feedback => resolved
2014-11-18 13:22 davide Fixed in Version => 7.0.0
2014-11-18 13:22 davide Resolution open => fixed
2014-12-24 11:36 davide Category design => bug/design
2016-04-17 15:36 davide Category bug/design => bug-design